<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionRemovePlant Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d70/class_action_remove_plant.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionRemovePlant Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionRemovePlant:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d70/class_action_remove_plant.png" usemap="#ActionRemovePlant_map" alt=""/>
  <map id="ActionRemovePlant_map" name="ActionRemovePlant_map">
<area href="../../d0/d5b/class_action_interact_base.html" alt="ActionInteractBase" shape="rect" coords="0,0,121,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a37e09896333e734c0df204cffcc55584"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d70/class_action_remove_plant.html#a37e09896333e734c0df204cffcc55584">ActionRemovePlant</a> ()</td></tr>
<tr class="separator:a37e09896333e734c0df204cffcc55584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a224bd195caa9ee5c98e554ee74e04ff9"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d70/class_action_remove_plant.html#a224bd195caa9ee5c98e554ee74e04ff9">GetInputType</a> ()</td></tr>
<tr class="separator:a224bd195caa9ee5c98e554ee74e04ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a900278d317d448e8c05ae95ee50b3214"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d70/class_action_remove_plant.html#a900278d317d448e8c05ae95ee50b3214">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a900278d317d448e8c05ae95ee50b3214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c64de5ec72499d51fd57269c8494b24"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d70/class_action_remove_plant.html#a0c64de5ec72499d51fd57269c8494b24">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a0c64de5ec72499d51fd57269c8494b24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539853517513e3d1de5f4a989d618578"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d70/class_action_remove_plant.html#a539853517513e3d1de5f4a989d618578">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a539853517513e3d1de5f4a989d618578"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:af5428abacd881f11b5f1fa1234429019"><td class="memItemLeft" align="right" valign="top">PlantBase&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d70/class_action_remove_plant.html#af5428abacd881f11b5f1fa1234429019">m_Plant</a></td></tr>
<tr class="separator:af5428abacd881f11b5f1fa1234429019"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a37e09896333e734c0df204cffcc55584" name="a37e09896333e734c0df204cffcc55584"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37e09896333e734c0df204cffcc55584">&#9670;&#160;</a></span>ActionRemovePlant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionRemovePlant::ActionRemovePlant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0c64de5ec72499d51fd57269c8494b24" name="a0c64de5ec72499d51fd57269c8494b24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c64de5ec72499d51fd57269c8494b24">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionRemovePlant::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00021">21</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>

</div>
</div>
<a id="a900278d317d448e8c05ae95ee50b3214" name="a900278d317d448e8c05ae95ee50b3214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a900278d317d448e8c05ae95ee50b3214">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRemovePlant::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00015">15</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>

</div>
</div>
<a id="a224bd195caa9ee5c98e554ee74e04ff9" name="a224bd195caa9ee5c98e554ee74e04ff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a224bd195caa9ee5c98e554ee74e04ff9">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionRemovePlant::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00010">10</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>

</div>
</div>
<a id="a539853517513e3d1de5f4a989d618578" name="a539853517513e3d1de5f4a989d618578"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a539853517513e3d1de5f4a989d618578">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionRemovePlant::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00064">64</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af5428abacd881f11b5f1fa1234429019" name="af5428abacd881f11b5f1fa1234429019"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5428abacd881f11b5f1fa1234429019">&#9670;&#160;</a></span>m_Plant</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PlantBase ActionRemovePlant::m_Plant</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/<a class="el" href="../../d4/d54/_action_remove_plant_8c_source.html">ActionRemovePlant.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d70/class_action_remove_plant.html">ActionRemovePlant</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
